
From: Geert Uytterhoeven <geert@linux-m68k.org>

Cisco/Aironet 34X/35X/4500/4800 unconditionally depends on the PCI DMA API, so
mark it broken if !PCI

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/wireless/Kconfig~depends-on-pci-dma-api-cisco-aironet-34x-35x-4500-4800 drivers/net/wireless/Kconfig
--- 25/drivers/net/wireless/Kconfig~depends-on-pci-dma-api-cisco-aironet-34x-35x-4500-4800	2004-07-26 17:28:14.594393488 -0700
+++ 25-akpm/drivers/net/wireless/Kconfig	2004-07-26 17:28:14.598392880 -0700
@@ -139,7 +139,7 @@ comment "Wireless 802.11b ISA/PCI cards 
 
 config AIRO
 	tristate "Cisco/Aironet 34X/35X/4500/4800 ISA and PCI cards"
-	depends on NET_RADIO && (ISA || PCI)
+	depends on NET_RADIO && ISA && (PCI || BROKEN)
 	---help---
 	  This is the standard Linux driver to support Cisco/Aironet ISA and
 	  PCI 802.11 wireless cards.
_
